<?php
/**
 * Customizer default values.
 *
 * @package OneStore
 **/

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$colors                                               = OneStore_Customizer::instance()->get_default_colors();

$predefined                                           = array();



$predefined = array(
	'blockquote_font_family' => '',
	'blockquote_font_size' => '20px',
	'blockquote_font_style' => 'italic',
	'blockquote_font_weight' => 300,
	'blockquote_letter_spacing' => '',
	'blockquote_line_height' => '1.6',
	'blockquote_text_transform' => '',
	'blog_index_default_items_gap' => '90px',
	'blog_index_grid_columns' => 2,
	'blog_index_grid_columns_gutter' => '20px',
	'blog_index_grid_rows_gutter' => '30px',
	'blog_index_loop_mode' => 'grid',
	'blog_index_navigation_mode' => 'pagination',
	'blog_single_author_bio' => 1,
	'blog_single_navigation' => 1,
	'body_font_family' => 'google_fonts|Poppins',
	'body_font_size' => '14px',
	'body_font_style' => 'normal',
	'body_font_weight' => '400',
	'body_letter_spacing' => '0px',
	'body_line_height' => '1.8',
	'body_text_color' => '#333333',
	'body_text_transform' => '',
	'border_color' => 'rgba(0,0,0,0.1)',
	'boxed_page_shadow' => '0px 0px 30px 0px rgba(0,0,0,0.05)',
	'boxed_page_width' => '1096px',
	'breadcrumb_plugin' => 'default',
	'button_bg_color' => '#19110b',
	'button_border' => '',
	'button_border_color' => '#19110b',
	'button_border_radius' => '0px',
	'button_font_family' => '',
	'button_font_size' => '0.8em',
	'button_font_style' => '',
	'button_font_weight' => 400,
	'button_hover_bg_color' => '#f5f5f5',
	'button_hover_border_color' => '#19110b',
	'button_hover_text_color' => '#19110b',
	'button_letter_spacing' => '',
	'button_padding' => '',
	'button_text_color' => '#ffffff',
	'button_text_transform' => 'uppercase',
	'color_palette_1' => '#333333',
	'color_palette_2' => '#666666',
	'color_palette_3' => '#19110b',
	'color_palette_4' => '#19110b',
	'color_palette_5' => 'rgba(0,0,0,0.1)',
	'color_palette_6' => 'rgba(0,0,0,0.05)',
	'color_palette_7' => '#ffffff',
	'color_palette_8' => '#000000',
	'container_padding' => '4em',
	'container_padding__mobile' => '1em',
	'container_padding__tablet' => '1.5em',
	'container_width' => '100%',
	'container_width__mobile' => '100em',
	'container_width__tablet' => '100%',
	'content_layout' => 'right-sidebar',
	'content_main_bg_color' => '',
	'content_main_border' => '',
	'content_main_border_color' => '',
	'content_main_padding' => '3em 0em 3em 0em',
	'content_main_padding__mobile' => '2em 0em 2em 0em',
	'content_main_padding__tablet' => '2em 0em 2em 0em',
	'content_narrow_width' => '1082px',
	'entry_excerpt_length' => 55,
	'entry_featured_media_ignore_padding' => 0,
	'entry_featured_media_position' => 'before-entry-header',
	'entry_footer' =>
	array(
		0 => 'footer-meta',
	),
	'entry_footer_alignment' => 'left',
	'entry_footer_meta' => 'Posted in {{categories}}  •  {{comments}}',
	'entry_grid_bg_color' => '',
	'entry_grid_border' => '0 0 0 0',
	'entry_grid_border_color' => '',
	'entry_grid_excerpt_length' => 30,
	'entry_grid_featured_media_ignore_padding' => 0,
	'entry_grid_featured_media_position' => 'before-entry-header',
	'entry_grid_footer' =>
	array(),
	'entry_grid_footer_alignment' => 'left',
	'entry_grid_footer_meta' => 'Posted in {{categories}}  •  {{comments}}',
	'entry_grid_header' =>
	array(
		0 => 'header-meta',
		1 => 'title',
	),
	'entry_grid_header_alignment' => 'left',
	'entry_grid_header_meta' => '{{date}}',
	'entry_grid_padding' => '0 0 0 0',
	'entry_grid_read_more_display' => '',
	'entry_grid_read_more_text' => '',
	'entry_grid_same_height' => 0,
	'entry_header' =>
	array(
		0 => 'header-meta',
		1 => 'title',
	),
	'entry_header_alignment' => 'left',
	'entry_header_meta' => '{{date}}',
	'entry_read_more_display' => '',
	'entry_read_more_text' => '',
	'font_smoothing' => 1,
	'footer_bottom_bar_bg_color' => '#151e25',
	'footer_bottom_bar_border' => '0px 0px 0px 0px',
	'footer_bottom_bar_border_color' => '',
	'footer_bottom_bar_container' => 'default',
	'footer_bottom_bar_font_family' => '',
	'footer_bottom_bar_font_size' => '',
	'footer_bottom_bar_font_style' => '',
	'footer_bottom_bar_font_weight' => '',
	'footer_bottom_bar_items_gutter' => '12px',
	'footer_bottom_bar_letter_spacing' => '',
	'footer_bottom_bar_line_height' => '',
	'footer_bottom_bar_link_hover_text_color' => '',
	'footer_bottom_bar_link_text_color' => '#ffffff',
	'footer_bottom_bar_merged' => 0,
	'footer_bottom_bar_merged_gap' => '0px',
	'footer_bottom_bar_padding' => '2em 0em 2em 0em',
	'footer_bottom_bar_text_color' => '#ffffff',
	'footer_bottom_bar_text_transform' => '',
	'footer_copyright_content' => 'Copyright © {{year}} {{sitename}}',
	'footer_elements_bottom_center' =>
	array(),
	'footer_elements_bottom_left' =>
	array(
		0 => 'copyright',
	),
	'footer_elements_bottom_right' =>
	array(
		0 => 'menu-1',
	),
	'footer_social_links' =>
	array(
		0 => 'facebook',
		1 => 'twitter',
		2 => 'instagram',
	),
	'footer_social_links_target' => 'self',
	'footer_widgets_bar' => '1',
	'footer_widgets_bar_bg_color' => 'rgba(0,0,0,0.05)',
	'footer_widgets_bar_border' => '0px 0px 0px 0px',
	'footer_widgets_bar_border_color' => 'rgba(255,255,255,0)',
	'footer_widgets_bar_columns_gutter' => '15px',
	'footer_widgets_bar_container' => 'default',
	'footer_widgets_bar_font_family' => '',
	'footer_widgets_bar_font_size' => '',
	'footer_widgets_bar_font_style' => '',
	'footer_widgets_bar_font_weight' => '',
	'footer_widgets_bar_letter_spacing' => '',
	'footer_widgets_bar_line_height' => '',
	'footer_widgets_bar_link_hover_text_color' => '',
	'footer_widgets_bar_link_text_color' => '',
	'footer_widgets_bar_padding' => '2.5em 0em 2.5em 0em',
	'footer_widgets_bar_text_color' => '',
	'footer_widgets_bar_text_transform' => '',
	'footer_widgets_bar_widget_title_alignment' => 'center',
	'footer_widgets_bar_widget_title_bg_color' => '',
	'footer_widgets_bar_widget_title_border_color' => '',
	'footer_widgets_bar_widget_title_decoration' => 'border-bottom',
	'footer_widgets_bar_widget_title_font_family' => '',
	'footer_widgets_bar_widget_title_font_size' => '',
	'footer_widgets_bar_widget_title_font_style' => '',
	'footer_widgets_bar_widget_title_font_weight' => '',
	'footer_widgets_bar_widget_title_letter_spacing' => '',
	'footer_widgets_bar_widget_title_line_height' => '',
	'footer_widgets_bar_widget_title_text_color' => '',
	'footer_widgets_bar_widget_title_text_transform' => '',
	'footer_widgets_bar_widgets_gap' => '40px',
	'google_fonts_subsets' =>
	array(
		0 => 'latin-ext',
	),
	'h1_font_family' => '',
	'h1_font_size' => '32px',
	'h1_font_style' => '',
	'h1_font_weight' => 600,
	'h1_letter_spacing' => '0.6px',
	'h1_line_height' => '1.3',
	'h1_text_transform' => '',
	'h2_font_family' => '',
	'h2_font_size' => '27px',
	'h2_font_style' => '',
	'h2_font_weight' => 600,
	'h2_letter_spacing' => '0.6px',
	'h2_line_height' => '1.4',
	'h2_text_transform' => '',
	'h3_font_family' => '',
	'h3_font_size' => '22px',
	'h3_font_style' => '',
	'h3_font_weight' => 600,
	'h3_letter_spacing' => '0.6px',
	'h3_line_height' => '1.5',
	'h3_text_transform' => '',
	'h4_font_family' => '',
	'h4_font_size' => '17px',
	'h4_font_style' => '',
	'h4_font_weight' => 600,
	'h4_letter_spacing' => '0.6px',
	'h4_line_height' => '1.6',
	'h4_text_transform' => '',
	'header_bottom_bar_bg_color' => '',
	'header_bottom_bar_border' => '0px 0px 1px 0px',
	'header_bottom_bar_border_color' => 'rgba(0,0,0,0.1)',
	'header_bottom_bar_container' => 'default',
	'header_bottom_bar_font_family' => '',
	'header_bottom_bar_font_size' => '',
	'header_bottom_bar_font_style' => '',
	'header_bottom_bar_font_weight' => '',
	'header_bottom_bar_height' => '60px',
	'header_bottom_bar_icon_size' => '18px',
	'header_bottom_bar_items_gutter' => '12px',
	'header_bottom_bar_letter_spacing' => '',
	'header_bottom_bar_line_height' => '',
	'header_bottom_bar_link_active_text_color' => '',
	'header_bottom_bar_link_hover_text_color' => '',
	'header_bottom_bar_link_text_color' => '',
	'header_bottom_bar_menu_active_highlight_color' => '',
	'header_bottom_bar_menu_active_highlight_text_color' => '',
	'header_bottom_bar_menu_font_family' => '',
	'header_bottom_bar_menu_font_size' => '',
	'header_bottom_bar_menu_font_style' => '',
	'header_bottom_bar_menu_font_weight' => '',
	'header_bottom_bar_menu_highlight' => 'none',
	'header_bottom_bar_menu_hover_highlight_color' => '',
	'header_bottom_bar_menu_hover_highlight_text_color' => '',
	'header_bottom_bar_menu_letter_spacing' => '',
	'header_bottom_bar_menu_line_height' => '',
	'header_bottom_bar_menu_text_transform' => '',
	'header_bottom_bar_merged' => 0,
	'header_bottom_bar_merged_gap' => '0px',
	'header_bottom_bar_padding' => '',
	'header_bottom_bar_submenu_bg_color' => '',
	'header_bottom_bar_submenu_border_color' => '',
	'header_bottom_bar_submenu_font_family' => '',
	'header_bottom_bar_submenu_font_size' => '',
	'header_bottom_bar_submenu_font_style' => '',
	'header_bottom_bar_submenu_font_weight' => '',
	'header_bottom_bar_submenu_letter_spacing' => '',
	'header_bottom_bar_submenu_line_height' => '',
	'header_bottom_bar_submenu_link_active_text_color' => '',
	'header_bottom_bar_submenu_link_hover_text_color' => '',
	'header_bottom_bar_submenu_link_text_color' => '',
	'header_bottom_bar_submenu_text_color' => '',
	'header_bottom_bar_submenu_text_transform' => '',
	'header_bottom_bar_text_color' => '',
	'header_bottom_bar_text_transform' => '',
	'header_button_1_class' => 'link-only',
	'header_button_1_icon' => ':phone',
	'header_button_1_text' => '+88 123 666 888',
	'header_button_1_url' => '#',
	'header_button_2_class' => 'link-only',
	'header_button_2_icon' => ':info',
	'header_button_2_text' => 'Can we help you?',
	'header_button_2_url' => '#',
	'header_cart_count_bg_color' => '',
	'header_cart_count_text_color' => '#ffffff',
	'header_elements_bottom_center' =>
	array(),
	'header_elements_bottom_left' =>
	array(),
	'header_elements_bottom_right' =>
	array(),
	'header_elements_main_center' =>
	array(),
	'header_elements_main_left' =>
	array(
		0 => 'mobile-vertical-toggle',
		1 => 'logo',
		2 => 'menu-1',
	),
	'header_elements_main_right' =>
	array(
		0 => 'account',
		1 => 'shopping-cart',
	),
	'header_elements_top_center' =>
	array(),
	'header_elements_top_left' =>
	array(
		0 => 'html-1',
		1 => 'button-2',
		2 => 'button-1',
	),
	'header_elements_top_right' =>
	array(
		0 => 'social',
	),
	'header_html_1_content' => 'Add anything here or just remove it....',
	'header_html_2_content' => 'Html 2 herre',
	'header_html_3_content' => 'HTMl 3 herre',
	'header_logo_width' => '125px',
	'header_main_bar_bg_color' => '#f5f5f5',
	'header_main_bar_border' => '0px 0px 1px 0px',
	'header_main_bar_border_color' => 'rgba(0,0,0,0.1)',
	'header_main_bar_container' => 'default',
	'header_main_bar_font_family' => '',
	'header_main_bar_font_size' => '',
	'header_main_bar_font_style' => '',
	'header_main_bar_font_weight' => '',
	'header_main_bar_height' => '80px',
	'header_main_bar_icon_size' => '18px',
	'header_main_bar_items_gutter' => '12px',
	'header_main_bar_letter_spacing' => '',
	'header_main_bar_line_height' => '',
	'header_main_bar_link_active_text_color' => '',
	'header_main_bar_link_hover_text_color' => '',
	'header_main_bar_link_text_color' => '',
	'header_main_bar_menu_active_highlight_color' => '',
	'header_main_bar_menu_active_highlight_text_color' => '',
	'header_main_bar_menu_font_family' => '',
	'header_main_bar_menu_font_size' => '',
	'header_main_bar_menu_font_style' => '',
	'header_main_bar_menu_font_weight' => '',
	'header_main_bar_menu_highlight' => 'none',
	'header_main_bar_menu_hover_highlight_color' => '',
	'header_main_bar_menu_hover_highlight_text_color' => '',
	'header_main_bar_menu_letter_spacing' => '',
	'header_main_bar_menu_line_height' => '',
	'header_main_bar_menu_text_transform' => '',
	'header_main_bar_padding' => '',
	'header_main_bar_sticky' => 0,
	'header_main_bar_submenu_bg_color' => '',
	'header_main_bar_submenu_border_color' => '',
	'header_main_bar_submenu_font_family' => '',
	'header_main_bar_submenu_font_size' => '',
	'header_main_bar_submenu_font_style' => '',
	'header_main_bar_submenu_font_weight' => '',
	'header_main_bar_submenu_letter_spacing' => '',
	'header_main_bar_submenu_line_height' => '',
	'header_main_bar_submenu_link_active_text_color' => '',
	'header_main_bar_submenu_link_hover_text_color' => '',
	'header_main_bar_submenu_link_text_color' => '',
	'header_main_bar_submenu_text_color' => '',
	'header_main_bar_submenu_text_transform' => '',
	'header_main_bar_text_color' => '',
	'header_main_bar_text_transform' => '',
	'header_mobile_elements_main_center' =>
	array(),
	'header_mobile_elements_main_left' =>
	array(
		0 => 'mobile-logo',
	),
	'header_mobile_elements_main_right' =>
	array(
		0 => 'social',
		1 => 'shopping-cart-link',
		2 => 'mobile-vertical-toggle',
	),
	'header_mobile_elements_vertical_top' =>
	array(
		0 => 'mobile-menu',
	),
	'header_mobile_logo_width' => '100px',
	'header_mobile_main_bar_bg_color' => '#f5f5f5',
	'header_mobile_main_bar_border' => '0px 0px 1px 0px',
	'header_mobile_main_bar_border_color' => '',
	'header_mobile_main_bar_height' => '60px',
	'header_mobile_main_bar_icon_size' => '18px',
	'header_mobile_main_bar_items_gutter' => '1em',
	'header_mobile_main_bar_link_hover_text_color' => '',
	'header_mobile_main_bar_link_text_color' => '',
	'header_mobile_main_bar_padding__tablet' => '',
	'header_mobile_main_bar_sticky' => 1,
	'header_mobile_vertical_bar_alignment' => 'left',
	'header_mobile_vertical_bar_bg_color' => '',
	'header_mobile_vertical_bar_border_color' => '',
	'header_mobile_vertical_bar_display' => 'drawer',
	'header_mobile_vertical_bar_font_family' => '',
	'header_mobile_vertical_bar_font_size' => '',
	'header_mobile_vertical_bar_font_style' => '',
	'header_mobile_vertical_bar_font_weight' => '',
	'header_mobile_vertical_bar_icon_size' => '18px',
	'header_mobile_vertical_bar_items_gutter' => '',
	'header_mobile_vertical_bar_letter_spacing' => '',
	'header_mobile_vertical_bar_line_height' => '',
	'header_mobile_vertical_bar_link_active_text_color' => '',
	'header_mobile_vertical_bar_link_hover_text_color' => '',
	'header_mobile_vertical_bar_link_text_color' => '',
	'header_mobile_vertical_bar_menu_font_family' => '',
	'header_mobile_vertical_bar_menu_font_size' => '',
	'header_mobile_vertical_bar_menu_font_style' => '',
	'header_mobile_vertical_bar_menu_font_weight' => '',
	'header_mobile_vertical_bar_menu_letter_spacing' => '',
	'header_mobile_vertical_bar_menu_line_height' => '',
	'header_mobile_vertical_bar_menu_text_transform' => '',
	'header_mobile_vertical_bar_padding' => '',
	'header_mobile_vertical_bar_position' => 'left',
	'header_mobile_vertical_bar_submenu_font_family' => '',
	'header_mobile_vertical_bar_submenu_font_size' => '',
	'header_mobile_vertical_bar_submenu_font_style' => '',
	'header_mobile_vertical_bar_submenu_font_weight' => '',
	'header_mobile_vertical_bar_submenu_letter_spacing' => '',
	'header_mobile_vertical_bar_submenu_line_height' => '',
	'header_mobile_vertical_bar_submenu_text_transform' => '',
	'header_mobile_vertical_bar_text_color' => '',
	'header_mobile_vertical_bar_text_transform' => '',
	'header_mobile_vertical_bar_width' => '400px',
	'header_search_bar_width' => '100%',
	'header_search_dropdown_width' => '300px',
	'header_social_links' =>
	array(
		0 => 'facebook',
		1 => 'twitter',
		2 => 'instagram',
		3 => 'google-plus',
		4 => 'youtube',
	),
	'header_social_links_target' => 'self',
	'header_top_bar_bg_color' => '',
	'header_top_bar_border' => '0px 0px 1px 0px',
	'header_top_bar_border_color' => 'rgba(0,0,0,0.1)',
	'header_top_bar_container' => 'default',
	'header_top_bar_font_family' => '',
	'header_top_bar_font_size' => '',
	'header_top_bar_font_style' => '',
	'header_top_bar_font_weight' => '',
	'header_top_bar_height' => '40px',
	'header_top_bar_icon_size' => '18px',
	'header_top_bar_items_gutter' => '12px',
	'header_top_bar_letter_spacing' => '',
	'header_top_bar_line_height' => '',
	'header_top_bar_link_active_text_color' => '',
	'header_top_bar_link_hover_text_color' => '',
	'header_top_bar_link_text_color' => '',
	'header_top_bar_menu_active_highlight_color' => '',
	'header_top_bar_menu_active_highlight_text_color' => '',
	'header_top_bar_menu_font_family' => '',
	'header_top_bar_menu_font_size' => '',
	'header_top_bar_menu_font_style' => '',
	'header_top_bar_menu_font_weight' => '',
	'header_top_bar_menu_highlight' => 'none',
	'header_top_bar_menu_hover_highlight_color' => '',
	'header_top_bar_menu_hover_highlight_text_color' => '',
	'header_top_bar_menu_letter_spacing' => '',
	'header_top_bar_menu_line_height' => '',
	'header_top_bar_menu_text_transform' => '',
	'header_top_bar_merged' => 0,
	'header_top_bar_merged_gap' => '0px',
	'header_top_bar_padding' => '',
	'header_top_bar_submenu_bg_color' => '',
	'header_top_bar_submenu_border_color' => '',
	'header_top_bar_submenu_font_family' => '',
	'header_top_bar_submenu_font_size' => '',
	'header_top_bar_submenu_font_style' => '',
	'header_top_bar_submenu_font_weight' => '',
	'header_top_bar_submenu_letter_spacing' => '',
	'header_top_bar_submenu_line_height' => '',
	'header_top_bar_submenu_link_active_text_color' => '',
	'header_top_bar_submenu_link_hover_text_color' => '',
	'header_top_bar_submenu_link_text_color' => '',
	'header_top_bar_submenu_text_color' => '',
	'header_top_bar_submenu_text_transform' => '',
	'header_top_bar_text_color' => '',
	'header_top_bar_text_transform' => '',
	'heading_hover_text_color' => '',
	'heading_text_color' => '#333333',
	'input_bg_color' => '#f5f5f5',
	'input_border' => '1px 1px 1px 1px',
	'input_border_color' => '',
	'input_border_radius' => '0px',
	'input_focus_bg_color' => 'rgba(0,0,0,0.05)',
	'input_focus_border_color' => '',
	'input_focus_text_color' => '',
	'input_font_family' => '',
	'input_font_size' => '',
	'input_font_style' => '',
	'input_font_weight' => '',
	'input_letter_spacing' => '',
	'input_padding' => '10px 12px 10px 12px',
	'input_text_color' => '',
	'input_text_transform' => '',
	'link_hover_text_color' => '#333333',
	'link_text_color' => '#19110b',
	'meta_font_family' => '',
	'meta_font_size' => '0.9rem',
	'meta_font_style' => '',
	'meta_font_weight' => '',
	'meta_letter_spacing' => '',
	'meta_line_height' => '1.7',
	'meta_link_hover_text_color' => '',
	'meta_link_text_color' => '',
	'meta_text_color' => '',
	'meta_text_transform' => '',
	'outside_bg_attachment' => 'fixed',
	'outside_bg_color' => 'rgba(0,0,0,0.1)',
	'outside_bg_image' => '',
	'outside_bg_position' => 'center center',
	'outside_bg_repeat' => 'no-repeat',
	'outside_bg_size' => 'cover',
	'page_bg_color' => '#f5f5f5',
	'page_header' => 1,
	'page_header_bg_attachment' => 'fixed',
	'page_header_bg_color' => '',
	'page_header_bg_image' => '',
	'page_header_bg_overlay_color' => '',
	'page_header_border' => '0px 0px 1px 0px',
	'page_header_border_color' => '',
	'page_header_breadcrumb_font_family' => '',
	'page_header_breadcrumb_font_size' => '',
	'page_header_breadcrumb_font_style' => '',
	'page_header_breadcrumb_font_weight' => '',
	'page_header_breadcrumb_letter_spacing' => '',
	'page_header_breadcrumb_line_height' => '',
	'page_header_breadcrumb_link_hover_text_color' => '',
	'page_header_breadcrumb_link_text_color' => '',
	'page_header_breadcrumb_text_color' => '',
	'page_header_breadcrumb_text_transform' => '',
	'page_header_container' => 'default',
	'page_header_elements_center' =>
	array(),
	'page_header_elements_left' =>
	array(
		0 => 'title',
		1 => 'breadcrumb',
	),
	'page_header_elements_right' =>
	array(),
	'page_header_padding' => '1.5em 0em 1.5em 0em',
	'page_header_padding__mobile' => '2em 0em 2em 0em',
	'page_header_padding__tablet' => '2em 0em 2em 0em',
	'page_header_title_font_family' => '',
	'page_header_title_font_size' => '',
	'page_header_title_font_style' => '',
	'page_header_title_font_weight' => '',
	'page_header_title_letter_spacing' => '',
	'page_header_title_line_height' => '',
	'page_header_title_text_color' => '',
	'page_header_title_text_transform' => '',
	'page_layout' => 'full-width',
	'page_settings_post_archive' =>
	array(
		'page_header' => '0',
	),
	'page_settings_post_singular' =>
	array(
		'page_header' => '',
	),
	'page_settings_product_archive' =>
	array(
		'content_layout' => 'wide',
		'page_header_bg' => '',
		'content_container' => '',
		'page_header_title_text__post_type_archive' => '',
	),
	'page_settings_product_archive[content_layout]' => 'wide',
	'page_settings_product_singular' =>
	array(
		'content_container' => '',
		'content_layout' => 'wide',
		'page_header' => '0',
	),
	'page_settings_product_singular[content_layout]' => 'wide',
	'scroll_to_top' => 1,
	'scroll_to_top_bg_color' => '',
	'scroll_to_top_border_radius' => '40px',
	'scroll_to_top_display' => 'sticky',
	'scroll_to_top_h_offset' => '20px',
	'scroll_to_top_hover_bg_color' => '',
	'scroll_to_top_hover_text_color' => '',
	'scroll_to_top_icon_size' => '18px',
	'scroll_to_top_padding' => '10px',
	'scroll_to_top_position' => 'right',
	'scroll_to_top_text_color' => '',
	'scroll_to_top_v_offset' => '20px',
	'scroll_to_top_visibility' =>
	array(
		0 => 'desktop',
		1 => 'tablet',
		2 => 'mobile',
	),
	'sidebar_bg_color' => '',
	'sidebar_border' => '0px 0px 0px 0px',
	'sidebar_border_color' => '',
	'sidebar_font_family' => '',
	'sidebar_font_size' => '',
	'sidebar_font_style' => '',
	'sidebar_font_weight' => '',
	'sidebar_gap' => '60px',
	'sidebar_letter_spacing' => '',
	'sidebar_line_height' => '',
	'sidebar_link_hover_text_color' => '',
	'sidebar_link_text_color' => '',
	'sidebar_padding' => '3em 0em 3em 0em',
	'sidebar_text_color' => '',
	'sidebar_text_transform' => '',
	'sidebar_widget_title_alignment' => 'left',
	'sidebar_widget_title_bg_color' => '',
	'sidebar_widget_title_border_color' => '',
	'sidebar_widget_title_decoration' => 'border-bottom',
	'sidebar_widget_title_font_family' => '',
	'sidebar_widget_title_font_size' => '',
	'sidebar_widget_title_font_style' => '',
	'sidebar_widget_title_font_weight' => '',
	'sidebar_widget_title_letter_spacing' => '',
	'sidebar_widget_title_line_height' => '',
	'sidebar_widget_title_text_color' => '',
	'sidebar_widget_title_text_transform' => '',
	'sidebar_widgets_gap' => '2.25em',
	'sidebar_widgets_mode' => 'merged',
	'sidebar_width' => '25%',
	'small_title_font_family' => '',
	'small_title_font_size' => '',
	'small_title_font_style' => '',
	'small_title_font_weight' => '',
	'small_title_hover_text_color' => '',
	'small_title_letter_spacing' => '',
	'small_title_line_height' => '',
	'small_title_text_color' => '',
	'small_title_text_transform' => '',
	'social_behance' => '#',
	'social_dribbble' => '#',
	'social_facebook' => '#',
	'social_github' => '#',
	'social_google-plus' => '#',
	'social_instagram' => '#',
	'social_linkedin' => '#',
	'social_medium' => '#',
	'social_pinterest' => '#',
	'social_rss' => '#',
	'social_twitter' => '#',
	'social_vimeo' => '#',
	'social_vk' => '#',
	'social_youtube' => '#',
	'subtitle_color' => 'rgba(0,0,0,0.05)',
	'title_font_family' => '',
	'title_font_size' => '',
	'title_font_style' => '',
	'title_font_weight' => '',
	'title_hover_text_color' => '',
	'title_letter_spacing' => '',
	'title_line_height' => '',
	'title_text_color' => '',
	'title_text_transform' => '',
	'woocommerce_ajax_more' => 1,
	'woocommerce_alt_button_bg_color' => '',
	'woocommerce_cart_cross_sells_grid_columns' => '3-3-2',
	'woocommerce_cart_layout' => '2-columns',
	'woocommerce_cart_width' => '1170px',
	'woocommerce_checkout_layout' => '2-columns',
	'woocommerce_checkout_width' => '960px',
	'woocommerce_index_grid_columns' => '4-3-2',
	'woocommerce_index_item_elements_body' =>
	array(),
	'woocommerce_index_item_elements_body_left' =>
	array(
		0 => 'wc_title',
		1 => 'wc_category',
	),
	'woocommerce_index_item_elements_body_right' =>
	array(
		0 => 'wc_price_less',
	),
	'woocommerce_index_item_elements_bottom' =>
	array(),
	'woocommerce_index_item_elements_left' =>
	array(
		0 => 'wc_category',
		1 => 'wc_title',
		2 => 'wc_rating',
	),
	'woocommerce_index_item_elements_thumb_bottom' =>
	array(
		0 => 'wc_add_to_cart_icon',
		1 => 'wc_wishlist_icon',
		2 => 'wc_quick_view_icon',
	),
	'woocommerce_index_item_elements_thumb_left' =>
	array(
		0 => 'wc_sale',
	),
	'woocommerce_index_item_elements_thumb_right' =>
	array(
		0 => 'wc_sale_percent',
	),
	'woocommerce_index_item_elements_top' =>
	array(),
	'woocommerce_index_posts_per_page' => '12',
	'woocommerce_index_sort_filter' => 0,
	'woocommerce_index_thumb_height' => '132%',
	'woocommerce_product_more_display' => 'tabs',
	'woocommerce_product_more_heading' => 'You may also like',
	'woocommerce_products_grid_columns_gutter' => '1em',
	'woocommerce_products_grid_item_add_to_cart' => 1,
	'woocommerce_products_grid_rows_gutter' => '1em',
	'woocommerce_products_grid_text_alignment' => 'right',
	'woocommerce_review_star_color' => '#ffc34c',
	'woocommerce_sale_badge_bg_color' => '#ed6868',
	'woocommerce_sale_badge_border_color' => 'rgba(204,204,204,0)',
	'woocommerce_sale_badge_text_color' => '#f2f2f2',
	'woocommerce_single_gallery' => 1,
	'woocommerce_single_gallery_lightbox' => 1,
	'woocommerce_single_gallery_width' => '60.6%',
	'woocommerce_single_gallery_zoom' => 1,
	'woocommerce_single_more_grid_columns' => '4-3-2',
	'woocommerce_single_more_posts_per_page' => '4',
	'woocommerce_single_more_sections' =>
	array(
		0 => 'recent-viewed',
		1 => 'related',
		2 => 'up-sells',
	),
	'woocommerce_single_readmore' => 1,
	'woocommerce_single_sticky_cart' => 'bottom',
	'woocommerce_single_tabs' => 1,
	'woocommerce_single_tabs_display' => 'toggle',
	'woocommerce_single_tabs_position' => 'after_cart',
	'woocommerce_single_wishlist' => 1,
);

$predefined['color_palette_1']                        = $colors['heading'];
$predefined['color_palette_2']                        = $colors['text'];
$predefined['color_palette_3']                        = $colors['accent'];
$predefined['color_palette_4']                        = $colors['accent2'];
$predefined['color_palette_5']                        = $colors['border'];
$predefined['color_palette_6']                        = $colors['subtitle'];
$predefined['color_palette_7']                        = $colors['white'];
$predefined['color_palette_8']                        = $colors['black'];



return $predefined;
